Bug 333243 - digikam crashed while editing photos
Summary: digikam crashed while editing photos
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Sqlite (show other bugs)
Version: 3.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-04-09 19:32 UTC by hirengandhi0317
Modified: 2021-12-17 11:50 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.5.0


Attachments
New crash information added by DrKonqi (14.50 KB, text/plain)
2014-05-17 16:08 UTC, hermann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hirengandhi0317 2014-04-09 19:32:36 UTC
Application: digikam (3.5.0)
KDE Platform Version: 4.12.97
Qt Version: 4.8.6
Operating System: Linux 3.13.0-23-generic x86_64
Distribution: Ubuntu Trusty Tahr (development branch)

-- Information about the crash:
- What I was doing when the application crashed: I was editing photos in digikam and was going fine for awhile when suddenly the application crashed. More specifically was trying to resize photos.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fe9d9371ac0 (LWP 20088))]

Thread 7 (Thread 0x7fe9b6038700 (LWP 20089)):
#0  0x00007fe9d2ea0fbd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fe9babe3248 in ?? () from /lib/x86_64-linux-gnu/libusb-1.0.so.0
#2  0x00007fe9ce130182 in start_thread (arg=0x7fe9b6038700) at pthread_create.c:312
#3  0x00007fe9d2eae30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 6 (Thread 0x7fe9af729700 (LWP 20090)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe9d3c8f816 in wait (time=18446744073709551615, this=0x12cf2d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x12cf1e0, mutex=mutex@entry=0x12cf1d8, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005d5ede in Digikam::ScanController::run (this=0x12cef50) at /build/buildd/digikam-3.5.0/core/digikam/database/scancontroller.cpp:725
#4  0x00007fe9d3c8f32f in QThreadPrivate::start (arg=0x12cef50) at thread/qthread_unix.cpp:349
#5  0x00007fe9ce130182 in start_thread (arg=0x7fe9af729700) at pthread_create.c:312
#6  0x00007fe9d2eae30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 5 (Thread 0x7fe9aef28700 (LWP 20091)):
#0  0x00007fe9d2e9f6bd in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fe9cb998c20 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fe9cb957b14 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fe9cb957f7b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fe9cb9580ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fe9d3dbe7be in QEventDispatcherGlib::processEvents (this=0x7fe9a00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0x00007fe9d3d900af in QEventLoop::processEvents (this=this@entry=0x7fe9aef27ae0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fe9d3d903a5 in QEventLoop::exec (this=this@entry=0x7fe9aef27ae0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fe9d3c8cc5f in QThread::exec (this=this@entry=0x12efe90) at thread/qthread.cpp:537
#9  0x00007fe9d3d71823 in QInotifyFileSystemWatcherEngine::run (this=0x12efe90) at io/qfilesystemwatcher_inotify.cpp:265
#10 0x00007fe9d3c8f32f in QThreadPrivate::start (arg=0x12efe90) at thread/qthread_unix.cpp:349
#11 0x00007fe9ce130182 in start_thread (arg=0x7fe9aef28700) at pthread_create.c:312
#12 0x00007fe9d2eae30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 4 (Thread 0x7fe9ae727700 (LWP 20094)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe9d3c8f816 in wait (time=18446744073709551615, this=0x15de900) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x131cfb0, mutex=mutex@entry=0x131cfa8, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fe9d6b0879a in Digikam::ParkingThread::run (this=0x131cf90) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007fe9d3c8f32f in QThreadPrivate::start (arg=0x131cf90) at thread/qthread_unix.cpp:349
#5  0x00007fe9ce130182 in start_thread (arg=0x7fe9ae727700) at pthread_create.c:312
#6  0x00007fe9d2eae30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7fe9ace4b700 (LWP 20095)):
#0  0x00007fe9d2e9f6bd in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fe9cb998c20 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fe9cb957b14 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fe9cb957f7b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fe9cb9580ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fe9d3dbe7be in QEventDispatcherGlib::processEvents (this=0x7fe9980008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0x00007fe9d3d900af in QEventLoop::processEvents (this=this@entry=0x7fe9ace4aae0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fe9d3d903a5 in QEventLoop::exec (this=this@entry=0x7fe9ace4aae0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fe9d3c8cc5f in QThread::exec (this=this@entry=0x190dce0) at thread/qthread.cpp:537
#9  0x00007fe9d3d71823 in QInotifyFileSystemWatcherEngine::run (this=0x190dce0) at io/qfilesystemwatcher_inotify.cpp:265
#10 0x00007fe9d3c8f32f in QThreadPrivate::start (arg=0x190dce0) at thread/qthread_unix.cpp:349
#11 0x00007fe9ce130182 in start_thread (arg=0x7fe9ace4b700) at pthread_create.c:312
#12 0x00007fe9d2eae30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7fe9937fd700 (LWP 20163)):
#0  0x00007fe9d2ea0fbd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fe9cb957fe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fe9cb9580ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fe9d3dbe7be in QEventDispatcherGlib::processEvents (this=0x7fe988002a30, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#4  0x00007fe9d3d900af in QEventLoop::processEvents (this=this@entry=0x7fe9937fcaa0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fe9d3d903a5 in QEventLoop::exec (this=this@entry=0x7fe9937fcaa0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fe9d6b07e43 in Digikam::WorkerObjectRunnable::run (this=0x8946860) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007fe9d3c82fee in QThreadPoolThread::run (this=0x2b379a0) at concurrent/qthreadpool.cpp:108
#8  0x00007fe9d3c8f32f in QThreadPrivate::start (arg=0x2b379a0) at thread/qthread_unix.cpp:349
#9  0x00007fe9ce130182 in start_thread (arg=0x7fe9937fd700) at pthread_create.c:312
#10 0x00007fe9d2eae30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7fe9d9371ac0 (LWP 20088)):
[KCrash Handler]
#6  0x0000000008a89eb0 in ?? ()
#7  0x00007fe9bf0e7dac in sqlite3MemCompare (pMem1=pMem1@entry=0x7fff59483540, pMem2=<optimized out>, pColl=0x157b758) at sqlite3.c:60484
#8  0x00007fe9bf0e7f63 in sqlite3VdbeRecordCompare (nKey1=24, pKey1=0x7fe9a805471e, pPKey2=pPKey2@entry=0x7fff59483840) at sqlite3.c:64162
#9  0x00007fe9bf0fc579 in sqlite3BtreeMovetoUnpacked (pCur=0x81e0d40, pIdxKey=0x7fff59483840, intKey=0, biasRight=<optimized out>, pRes=0x7fff59483830) at sqlite3.c:55077
#10 0x00007fe9bf1249c5 in sqlite3VdbeExec (p=p@entry=0x893e9a8) at sqlite3.c:70168
#11 0x00007fe9bf12ced7 in sqlite3Step (p=0x893e9a8) at sqlite3.c:64828
#12 sqlite3_step (pStmt=<optimized out>) at sqlite3.c:64894
#13 0x00007fe9add2211c in QSQLiteResultPrivate::fetchNext (this=this@entry=0x15d7fb0, values=..., idx=idx@entry=0, initialFetch=initialFetch@entry=true) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:235
#14 0x00007fe9add22e48 in QSQLiteResult::exec (this=0x2f750f0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:447
#15 0x00007fe9d90b4b7d in QSqlQuery::exec (this=this@entry=0x7fff59483d78) at kernel/qsqlquery.cpp:949
#16 0x00007fe9d6ac1a26 in Digikam::DatabaseCoreBackend::exec (this=0x11c8f40, query=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1414
#17 0x00007fe9d6ac1aac in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x11c8f40, query=..., boundValue1=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1056
#18 0x00007fe9d6ac2b50 in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x11c8f40, sql=..., boundValue1=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1005
#19 0x00007fe9d6ac2b99 in Digikam::DatabaseCoreBackend::execSql (this=0x11c8f40, sql=..., boundValue1=..., values=values@entry=0x7fff59483dc0, lastInsertId=lastInsertId@entry=0x0) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:902
#20 0x00007fe9d648642e in Digikam::AlbumDB::getSetting (this=this@entry=0x12fe550, keyword=...) at /build/buildd/digikam-3.5.0/core/libs/database/albumdb.cpp:972
#21 0x00007fe9d6486d5c in Digikam::AlbumDB::getFilterSettings (this=0x12fe550, imageFilter=imageFilter@entry=0x7fff59483ff0, videoFilter=videoFilter@entry=0x0, audioFilter=audioFilter@entry=0x0) at /build/buildd/digikam-3.5.0/core/libs/database/albumdb.cpp:1017
#22 0x0000000000639fe6 in Digikam::AlbumSettings::getImageFileFilter (this=<optimized out>) at /build/buildd/digikam-3.5.0/core/digikam/utils/albumsettings.cpp:915
#23 0x0000000000612758 in Digikam::ImageViewUtilities::openInEditor (this=0x18c3730, info=..., allInfosToOpen=..., currentAlbum=currentAlbum@entry=0x283be80) at /build/buildd/digikam-3.5.0/core/digikam/items/imageviewutilities.cpp:267
#24 0x000000000065ec76 in Digikam::DigikamView::slotEditor (this=0x1758d90) at /build/buildd/digikam-3.5.0/core/digikam/views/digikamview.cpp:1641
#25 0x000000000066219a in slotImageEdit (this=<optimized out>) at /build/buildd/digikam-3.5.0/core/digikam/views/digikamview.cpp:1675
#26 Digikam::DigikamView::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /build/buildd/digikam-3.5.0/obj-x86_64-linux-gnu/core/digikam/digikamview.moc:304
#27 0x00007fe9d3da587a in QMetaObject::activate (sender=sender@entry=0x22859c0, m=m@entry=0x7fe9d522dde0 <QAction::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7fff59484380) at kernel/qobject.cpp:3539
#28 0x00007fe9d477da62 in QAction::triggered (this=this@entry=0x22859c0, _t1=false) at .moc/release-shared/moc_qaction.cpp:276
#29 0x00007fe9d477f433 in QAction::activate (this=this@entry=0x22859c0, event=event@entry=QAction::Trigger) at kernel/qaction.cpp:1257
#30 0x00007fe9d4bad489 in QMenuPrivate::activateCausedStack (this=this@entry=0x75c6ec0, causedStack=..., action=action@entry=0x22859c0, action_e=action_e@entry=QAction::Trigger, self=self@entry=true) at widgets/qmenu.cpp:1038
#31 0x00007fe9d4bb19b9 in QMenuPrivate::activateAction (this=0x75c6ec0, action=0x22859c0, action_e=action_e@entry=QAction::Trigger, self=self@entry=true) at widgets/qmenu.cpp:1130
#32 0x00007fe9d4bb5385 in QMenu::mouseReleaseEvent (this=this@entry=0x7fff594852d0, e=e@entry=0x7fff59484ab0) at widgets/qmenu.cpp:2372
#33 0x00007fe9d55454f5 in KMenu::mouseReleaseEvent (this=0x7fff594852d0, e=0x7fff59484ab0) at ../../kdeui/widgets/kmenu.cpp:464
#34 0x00007fe9d47d350a in QWidget::event (this=this@entry=0x7fff594852d0, event=event@entry=0x7fff59484ab0) at kernel/qwidget.cpp:8376
#35 0x00007fe9d4bb57bb in QMenu::event (this=0x7fff594852d0, e=0x7fff59484ab0) at widgets/qmenu.cpp:2481
#36 0x00007fe9d4783e2c in QApplicationPrivate::notify_helper (this=this@entry=0x110a810, receiver=receiver@entry=0x7fff594852d0, e=e@entry=0x7fff59484ab0) at kernel/qapplication.cpp:4567
#37 0x00007fe9d478a5dd in QApplication::notify (this=this@entry=0x7fff59486810, receiver=receiver@entry=0x7fff594852d0, e=e@entry=0x7fff59484ab0) at kernel/qapplication.cpp:4110
#38 0x00007fe9d548ebaa in KApplication::notify (this=0x7fff59486810, receiver=0x7fff594852d0, event=0x7fff59484ab0) at ../../kdeui/kernel/kapplication.cpp:311
#39 0x00007fe9d3d914dd in QCoreApplication::notifyInternal (this=0x7fff59486810, receiver=receiver@entry=0x7fff594852d0, event=event@entry=0x7fff59484ab0) at kernel/qcoreapplication.cpp:953
#40 0x00007fe9d4789d93 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#41 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x7fff594852d0, event=event@entry=0x7fff59484ab0, alienWidget=alienWidget@entry=0x0, nativeWidget=nativeWidget@entry=0x7fff594852d0, buttonDown=buttonDown@entry=0x7fe9d5269318 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:3178
#42 0x00007fe9d47fecfc in QETWidget::translateMouseEvent (this=this@entry=0x7fff594852d0, event=event@entry=0x7fff59484e00) at kernel/qapplication_x11.cpp:4568
#43 0x00007fe9d47fe269 in QApplication::x11ProcessEvent (this=0x7fff59486810, event=event@entry=0x7fff59484e00) at kernel/qapplication_x11.cpp:3627
#44 0x00007fe9d4825b02 in x11EventSourceDispatch (s=0x110c000, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#45 0x00007fe9cb957e04 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#46 0x00007fe9cb958048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#47 0x00007fe9cb9580ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#48 0x00007fe9d3dbe7a1 in QEventDispatcherGlib::processEvents (this=0x1037400, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#49 0x00007fe9d4825bb6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#50 0x00007fe9d3d900af in QEventLoop::processEvents (this=this@entry=0x7fff594851e0, flags=...) at kernel/qeventloop.cpp:149
#51 0x00007fe9d3d903a5 in QEventLoop::exec (this=this@entry=0x7fff594851e0, flags=...) at kernel/qeventloop.cpp:204
#52 0x00007fe9d4bb4587 in QMenu::exec (this=0x7fff594852d0, p=..., action=action@entry=0x0) at widgets/qmenu.cpp:2125
#53 0x0000000000646e08 in Digikam::ContextMenuHelper::exec (this=this@entry=0x7fff594852b0, pos=..., at=at@entry=0x0) at /build/buildd/digikam-3.5.0/core/digikam/utils/contextmenuhelper.cpp:1110
#54 0x0000000000665033 in Digikam::ImagePreviewView::showContextMenu (this=0x18c9c90, info=..., event=0x7fff59485700) at /build/buildd/digikam-3.5.0/core/digikam/views/imagepreviewview.cpp:468
#55 0x00007fe9d4d2d5b5 in QGraphicsItem::sceneEvent (this=0x190ee60, event=0x7fff59485700) at graphicsview/qgraphicsitem.cpp:6725
#56 0x00007fe9d4d5470a in QGraphicsScene::contextMenuEvent (this=<optimized out>, contextMenuEvent=0x7fff59485700) at graphicsview/qgraphicsscene.cpp:3617
#57 0x00007fe9d4d691d5 in QGraphicsScene::event (this=0x18f75e0, event=0x7fff59485700) at graphicsview/qgraphicsscene.cpp:3412
#58 0x00007fe9d4783e2c in QApplicationPrivate::notify_helper (this=this@entry=0x110a810, receiver=receiver@entry=0x18f75e0, e=e@entry=0x7fff59485700) at kernel/qapplication.cpp:4567
#59 0x00007fe9d478a4a0 in QApplication::notify (this=this@entry=0x7fff59486810, receiver=receiver@entry=0x18f75e0, e=e@entry=0x7fff59485700) at kernel/qapplication.cpp:4353
#60 0x00007fe9d548ebaa in KApplication::notify (this=0x7fff59486810, receiver=0x18f75e0, event=0x7fff59485700) at ../../kdeui/kernel/kapplication.cpp:311
#61 0x00007fe9d3d914dd in QCoreApplication::notifyInternal (this=0x7fff59486810, receiver=0x18f75e0, event=event@entry=0x7fff59485700) at kernel/qcoreapplication.cpp:953
#62 0x00007fe9d4d80d07 in sendEvent (event=0x7fff59485700, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#63 QGraphicsView::contextMenuEvent (this=0x18c9c90, event=0x7fff59485bd0) at graphicsview/qgraphicsview.cpp:2892
#64 0x00007fe9d47d37d2 in QWidget::event (this=this@entry=0x18c9c90, event=event@entry=0x7fff59485bd0) at kernel/qwidget.cpp:8554
#65 0x00007fe9d4b74fce in QFrame::event (this=0x18c9c90, e=0x7fff59485bd0) at widgets/qframe.cpp:557
#66 0x00007fe9d4d807b9 in QGraphicsView::viewportEvent (this=0x18c9c90, event=0x7fff59485bd0) at graphicsview/qgraphicsview.cpp:2866
#67 0x00007fe9d3d91646 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0x110a810, receiver=receiver@entry=0x18cafa0, event=event@entry=0x7fff59485bd0) at kernel/qcoreapplication.cpp:1063
#68 0x00007fe9d4783e0c in QApplicationPrivate::notify_helper (this=this@entry=0x110a810, receiver=receiver@entry=0x18cafa0, e=e@entry=0x7fff59485bd0) at kernel/qapplication.cpp:4563
#69 0x00007fe9d478b1f8 in QApplication::notify (this=this@entry=0x7fff59486810, receiver=receiver@entry=0x18cafa0, e=e@entry=0x7fff59485bd0) at kernel/qapplication.cpp:4189
#70 0x00007fe9d548ebaa in KApplication::notify (this=0x7fff59486810, receiver=0x18cafa0, event=0x7fff59485bd0) at ../../kdeui/kernel/kapplication.cpp:311
#71 0x00007fe9d3d914dd in QCoreApplication::notifyInternal (this=0x7fff59486810, receiver=receiver@entry=0x18cafa0, event=event@entry=0x7fff59485bd0) at kernel/qcoreapplication.cpp:953
#72 0x00007fe9d47fea20 in sendSpontaneousEvent (event=0x7fff59485bd0, receiver=0x18cafa0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#73 QETWidget::translateMouseEvent (this=this@entry=0x18cafa0, event=event@entry=0x7fff59485f20) at kernel/qapplication_x11.cpp:4639
#74 0x00007fe9d47fe269 in QApplication::x11ProcessEvent (this=0x7fff59486810, event=event@entry=0x7fff59485f20) at kernel/qapplication_x11.cpp:3627
#75 0x00007fe9d4825b02 in x11EventSourceDispatch (s=0x110c000, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#76 0x00007fe9cb957e04 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#77 0x00007fe9cb958048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#78 0x00007fe9cb9580ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#79 0x00007fe9d3dbe7a1 in QEventDispatcherGlib::processEvents (this=0x1037400, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#80 0x00007fe9d4825bb6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#81 0x00007fe9d3d900af in QEventLoop::processEvents (this=this@entry=0x7fff594862f0, flags=...) at kernel/qeventloop.cpp:149
#82 0x00007fe9d3d903a5 in QEventLoop::exec (this=this@entry=0x7fff594862f0, flags=...) at kernel/qeventloop.cpp:204
#83 0x00007fe9d3d95b79 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#84 0x00007fe9d478237c in QApplication::exec () at kernel/qapplication.cpp:3828
#85 0x0000000000492023 in main (argc=<optimized out>, argv=<optimized out>) at /build/buildd/digikam-3.5.0/core/digikam/main/main.cpp:235

Possible duplicates by query: bug 332100, bug 331220, bug 330674, bug 330633, bug 330302.

Reported using DrKonqi
Comment 1 Jekyll Wu 2014-04-10 00:32:50 UTC

*** This bug has been marked as a duplicate of bug 329697 ***
Comment 2 hermann 2014-05-17 16:08:56 UTC
Created attachment 86680 [details]
New crash information added by DrKonqi

digikam (3.5.0) on KDE Platform 4.13.0 using Qt 4.8.6

- What I was doing when the application crashed:

I edited images using functions like crop, saturation, local contrast, sharping and so on.
The crash is not exactly reproducable (not dependent on a special sequence or at one tool) and does not occur each time editing an image but very often (~ 30% of all edited images) and always in image editor.

-- Backtrace (Reduced):
#6  0x00007f63dc914da9 in sqlite3MemCompare (pMem1=pMem1@entry=0x7fffa6c33c60, pMem2=<optimized out>, pColl=0x559f5a8) at sqlite3.c:60484
#7  0x00007f63dc914f63 in sqlite3VdbeRecordCompare (nKey1=70, pKey1=0x7f63c82fa972, pPKey2=pPKey2@entry=0x7fffa6c33f60) at sqlite3.c:64162
#8  0x00007f63dc929579 in sqlite3BtreeMovetoUnpacked (pCur=0x5e25540, pIdxKey=0x7fffa6c33f60, intKey=0, biasRight=<optimized out>, pRes=0x7fffa6c33f50) at sqlite3.c:55077
#9  0x00007f63dc9519c5 in sqlite3VdbeExec (p=p@entry=0x5de7ba8) at sqlite3.c:70168
#10 0x00007f63dc959ed7 in sqlite3Step (p=0x5de7ba8) at sqlite3.c:64828
Comment 3 caulier.gilles 2021-12-17 11:50:54 UTC
Fixed with #329697